Debian Bug report logs - #678906
clang: FTBFS[kfreebsd]: testsuite hangs

version graph

Package: src:clang; Maintainer for src:clang is LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 24 Jun 2012 23:03:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version clang/3.1-6

Fixed in version clang/3.1-7

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#678906; Package src:clang. (Sun, 24 Jun 2012 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Sun, 24 Jun 2012 23:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: clang: FTBFS[kfreebsd]: testsuite hangs
Date: Mon, 25 Jun 2012 00:59:37 +0200
Package: src:clang
Version: 3.1-6
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

FAIL: Clang :: Tooling/clang-check.cpp (4524 of 4567)
******************** TEST 'Clang :: Tooling/clang-check.cpp' FAILED ********************
Script:
--
rm -rf /build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp
mkdir /build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp
echo '[{"directory":".","command":"clang++ -c /build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp","file":"/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp"}]' > /build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/compile_commands.json
cp "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/tools/clang/test/Tooling/clang-check.cpp" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp"
clang-check "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp" 2>&1|FileCheck /build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/tools/clang/test/Tooling/clang-check.cpp
--
Exit Code: 1
Command Output (stderr):
--
/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/tools/clang/test/Tooling/clang-check.cpp:8:11: error: expected string not found in input
// CHECK: C++ requires
          ^
<stdin>:1:1: note: scanning from here
error: unable to handle compilation, expected exactly one compiler job in ' "clang++" "-cc1" "-triple" "x86_64-pc-kfreebsd-gnu" "-S" "-disable-free" "-disable-llvm-verifier" "-main-file-name" "test.cpp" "-mrelocation-model" "static" "-mdisable-fp-elim" "-mconstructor-aliases" "-munwind-tables" "-target-cpu" "x86-64" "-target-linker-version" "2.22" "-momit-leaf-frame-pointer" "-coverage-file" "/tmp/test-1NUvAO.s" "-resource-dir" "../lib/clang/3.1" "-working-directory" "." "-fmodule-cache-path" "/var/tmp/clang-module-cache" "-fdeprecated-macro" "-fno-dwarf-directory-asm" "-fdebug-compilation-dir" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling" "-ferror-limit" "19" "-fmessage-length" "0" "-mstackrealign" "-fgnu-runtime" "-fobjc-runtime-has-arc" "-fobjc-runtime-has-weak" "-fobjc-fragile-abi" "-fcxx-exceptions" "-fexceptions" "-fdiagnostics-show-option" "-o" "/tmp/test-1NUvAO.s" "-x" "c++" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp"; "/usr/bin/gcc" "-working-directory" "." "-c" "-m64" "-o" "test.o" "-x" "assembler" "/tmp/test-1NUvAO.s"; '
^
<stdin>:1:555: note: possible intended match here
error: unable to handle compilation, expected exactly one compiler job in ' "clang++" "-cc1" "-triple" "x86_64-pc-kfreebsd-gnu" "-S" "-disable-free" "-disable-llvm-verifier" "-main-file-name" "test.cpp" "-mrelocation-model" "static" "-mdisable-fp-elim" "-mconstructor-aliases" "-munwind-tables" "-target-cpu" "x86-64" "-target-linker-version" "2.22" "-momit-leaf-frame-pointer" "-coverage-file" "/tmp/test-1NUvAO.s" "-resource-dir" "../lib/clang/3.1" "-working-directory" "." "-fmodule-cache-path" "/var/tmp/clang-module-cache" "-fdeprecated-macro" "-fno-dwarf-directory-asm" "-fdebug-compilation-dir" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling" "-ferror-limit" "19" "-fmessage-length" "0" "-mstackrealign" "-fgnu-runtime" "-fobjc-runtime-has-arc" "-fobjc-runtime-has-weak" "-fobjc-fragile-abi" "-fcxx-exceptions" "-fexceptions" "-fdiagnostics-show-option" "-o" "/tmp/test-1NUvAO.s" "-x" "c++" "/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/build-clang/tools/clang/test/Tooling/Output/clang-check.cpp.tmp/test.cpp"; "/usr/bin/gcc" "-working-directory" "." "-c" "-m64" "-o" "test.o" "-x" "assembler" "/tmp/test-1NUvAO.s"; '
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          ^
--

********************
E: Caught signal 'Terminated': terminating immediately
make: *** [/build/buildd-clang_3.1-6-kfreebsd-amd64-D0lzDS/clang-3.1/debian/stamps/check-stamp] Terminated
make[1]: *** [all] Terminated
Testing: 0 .. 10.. 20.. 30.. 40.. 50.. 60.. 70.. 80.. 90..Build killed with signal TERM after 150 minutes of inactivity

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=clang&arch=kfreebsd-amd64&ver=3.1-6&stamp=1340286872

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Mon, 25 Jun 2012 22:36:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 25 Jun 2012 22:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 678906-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 678906-close@bugs.debian.org
Subject: Bug#678906: fixed in clang 3.1-7
Date: Mon, 25 Jun 2012 22:32:57 +0000
Source: clang
Source-Version: 3.1-7

We believe that the bug you reported is fixed in the latest version of
clang, which is due to be installed in the Debian FTP archive:

clang_3.1-7.debian.tar.gz
  to main/c/clang/clang_3.1-7.debian.tar.gz
clang_3.1-7.dsc
  to main/c/clang/clang_3.1-7.dsc
clang_3.1-7_amd64.deb
  to main/c/clang/clang_3.1-7_amd64.deb
libclang-common-dev_3.1-7_amd64.deb
  to main/c/clang/libclang-common-dev_3.1-7_amd64.deb
libclang-dev_3.1-7_amd64.deb
  to main/c/clang/libclang-dev_3.1-7_amd64.deb
libclang1_3.1-7_amd64.deb
  to main/c/clang/libclang1_3.1-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated clang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jun 2012 12:00:06 +0200
Source: clang
Binary: clang libclang1 libclang-dev libclang-common-dev
Architecture: source amd64
Version: 3.1-7
Distribution: unstable
Urgency: low
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 clang      - Low-Level Virtual Machine (LLVM), C language family frontend
 libclang-common-dev - clang library - Common development package
 libclang-dev - clang library - Development package
 libclang1  - clang library
Closes: 678906
Changes: 
 clang (3.1-7) unstable; urgency=low
 .
   * Revert previous change (disable test suite for some archs)
     and disable instead just the failing test:
     TEST(unescapeJsonCommandLine, SplitsOnSpaces)
     (Closes: #678906)
Checksums-Sha1: 
 6b58902c1e4901a2f1d254d13e7c2cced04967b7 1724 clang_3.1-7.dsc
 fdfc2503381dd5ca9ea8ccc3a31b05e6dfd676cb 19348 clang_3.1-7.debian.tar.gz
 ed4c062bb2ae228ba41feb99c17263c3053e37ae 5755188 clang_3.1-7_amd64.deb
 2df2f3d4ea0107f98bcc3f74a0e4cdf5a1ed755a 3918532 libclang1_3.1-7_amd64.deb
 c563ba6d326cd5cbf322b67eb9f147607a195bc4 1100298 libclang-dev_3.1-7_amd64.deb
 a756449851e0849d12ba4c2cc8f9d0fd8aaed3e7 84142 libclang-common-dev_3.1-7_amd64.deb
Checksums-Sha256: 
 7d94d391b4ad57aabbee62236899866ee7d23dde2ccdbc5f0b57b2b208f54f0c 1724 clang_3.1-7.dsc
 7c3f301a416b566e1a6ab54b0c36777ecc54dd7442c3590788c6ae0e26fa2be2 19348 clang_3.1-7.debian.tar.gz
 b96f7a75f33ff17ae6afda2ccc118981da66e4be289714415c143af13fcae437 5755188 clang_3.1-7_amd64.deb
 47caefd5d735909a86ca74aacd8df548aa63a224df87d760225b3f406afa145b 3918532 libclang1_3.1-7_amd64.deb
 c554bcfbc3e12576f635fd3e7da08566ddf36a159dcb56e59dd39ef90a0a00e0 1100298 libclang-dev_3.1-7_amd64.deb
 24c8717d64bfbcf5c7fd3d2e6a28ce6896ad58b2613ba22fb13b9b9d48320f92 84142 libclang-common-dev_3.1-7_amd64.deb
Files: 
 fadab625d60b4113d32fe45490d26f1c 1724 devel optional clang_3.1-7.dsc
 0f5bf925a442c5107cc155735cd355d4 19348 devel optional clang_3.1-7.debian.tar.gz
 c8c6d44a608f0db3ed2a466e9a452f72 5755188 devel optional clang_3.1-7_amd64.deb
 7099b9359b2594f9a4d645166ef3d075 3918532 devel optional libclang1_3.1-7_amd64.deb
 6529527e037cf65f4e0684a2340e47c0 1100298 libdevel optional libclang-dev_3.1-7_amd64.deb
 79fb40aedc66243e0e994910ebbeb930 84142 libdevel optional libclang-common-dev_3.1-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/o5YYACgkQiOXXM92JlhAb1gCg7An4nEMWOaQ04MTCEe+7AORM
opgAoO5LjUpOnlCh+AwjAd3+2X5/5TA+
=uC+O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2012 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:44:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.